{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 8,
			"minor" : 5,
			"revision" : 1,
			"architecture" : "x64",
			"modernui" : 1
		}
,
		"classnamespace" : "box",
		"rect" : [ 170.0, 87.0, 1177.0, 602.0 ],
		"bglocked" : 0,
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 1,
		"gridsize" : [ 16.0, 16.0 ],
		"gridsnaponopen" : 1,
		"objectsnaponopen" : 1,
		"statusbarvisible" : 2,
		"toolbarvisible" : 1,
		"lefttoolbarpinned" : 0,
		"toptoolbarpinned" : 0,
		"righttoolbarpinned" : 0,
		"bottomtoolbarpinned" : 0,
		"toolbars_unpinned_last_save" : 0,
		"tallnewobj" : 0,
		"boxanimatetime" : 200,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"description" : "",
		"digest" : "",
		"tags" : "",
		"style" : "",
		"subpatcher_template" : "",
		"assistshowspatchername" : 0,
		"boxes" : [ 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-21",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 750.24407999999994, 107.022461000000021, 85.0, 25.0 ],
					"text" : "Turn it on!"
				}

			}
, 			{
				"box" : 				{
					"fontface" : 1,
					"fontname" : "Arial",
					"fontsize" : 14.0,
					"id" : "obj-20",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 88.509466999999972, 389.966826999999967, 245.0, 38.0 ],
					"text" : "• Drag a 1DELAYR module into this patcher window.",
					"textcolor" : [ 0.240323, 0.247547, 0.573641, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-8",
					"linecount" : 5,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 64.244079999999997, 173.12197900000001, 295.0, 79.0 ],
					"text" : "- Auzzie has four kinds of module: Player (to play sound files), Synth (to synthesize audio), Effects (to process audio), and Routing (to create more complex connections between modules or simply route sound into and out of patches)."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-17",
					"linecount" : 3,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 64.244079999999997, 513.0, 274.265386999999976, 50.0 ],
					"text" : "- Alt-click an Auzzie module while the patcher is unlocked to see an explanation and an example of its use."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-12",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 64.244079999999997, 132.62197900000001, 292.0, 36.0 ],
					"text" : "- All Auzzie modules, and the patch cables connecting them, handle stereo audio."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-2",
					"linecount" : 3,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 64.244079999999997, 79.272514000000001, 292.0, 50.0 ],
					"text" : "- You connect two Auzzie modules by drawing a patch cable from the audio outlet of one module to the audio inlet of another."
				}

			}
, 			{
				"box" : 				{
					"annotation" : "## Output fader ##",
					"bgmode" : 1,
					"border" : 0,
					"clickthrough" : 0,
					"enablehscroll" : 0,
					"enablevscroll" : 0,
					"id" : "obj-9",
					"lockeddragscroll" : 0,
					"lockedsize" : 0,
					"maxclass" : "bpatcher",
					"name" : "az.out-h~.maxpat",
					"numinlets" : 2,
					"numoutlets" : 0,
					"offset" : [ 0.0, 0.0 ],
					"patching_rect" : [ 722.24407999999994, 471.0, 220.0, 103.0 ],
					"prototypename" : "pixl",
					"varname" : "out-h",
					"viewvisibility" : 1
				}

			}
, 			{
				"box" : 				{
					"fontsize" : 10.0,
					"id" : "obj-3",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 1075.0, 582.0, 100.0, 18.0 ],
					"text" : "© 2020 John Gibson",
					"textcolor" : [ 0.250980392156863, 0.25, 0.25, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontface" : 1,
					"fontname" : "Arial",
					"fontsize" : 14.0,
					"id" : "obj-1",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 913.0, 267.022461000000021, 253.0, 22.0 ],
					"text" : "• Randomize the velocities.",
					"textcolor" : [ 0.240323, 0.247547, 0.573641, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontface" : 1,
					"fontname" : "Arial",
					"fontsize" : 14.0,
					"id" : "obj-48",
					"linecount" : 4,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 913.0, 151.62197900000001, 253.0, 69.0 ],
					"text" : "• Connect the 1DELAYR module you dragged into the window earlier, so that it echoes the notes played by the synthesizer.",
					"textcolor" : [ 0.240323, 0.247547, 0.573641, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontface" : 1,
					"fontname" : "Arial",
					"fontsize" : 14.0,
					"id" : "obj-47",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 913.0, 225.022461000000021, 253.0, 38.0 ],
					"text" : "• Play around with the knobs and buttons in the WAVR interface.",
					"textcolor" : [ 0.240323, 0.247547, 0.573641, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-45",
					"linecount" : 3,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 956.24407999999994, 79.272514000000001, 204.0, 50.0 ],
					"text" : "- If the rhythm of the notes is not steady, be sure that Options > Overdrive is turned on."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 29.933285000000001,
					"id" : "obj-46",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 919.0, 74.466826999999995, 33.639809, 40.0 ],
					"text" : "5"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-38",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 722.24407999999994, 277.022461000000021, 34.0, 22.0 ],
					"text" : "pack"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-39",
					"maxclass" : "newobj",
					"numinlets" : 3,
					"numoutlets" : 2,
					"outlettype" : [ "float", "float" ],
					"patching_rect" : [ 722.24407999999994, 240.022461000000021, 101.0, 22.0 ],
					"text" : "makenote 100 70"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-40",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 722.24407999999994, 207.022461000000021, 32.0, 22.0 ],
					"text" : "+ 60"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-41",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 722.24407999999994, 174.12197900000001, 66.0, 22.0 ],
					"text" : "random 24"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-42",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 722.24407999999994, 142.294975000000022, 63.0, 22.0 ],
					"text" : "metro 150"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-43",
					"maxclass" : "toggle",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 722.24407999999994, 107.022461000000021, 24.0, 24.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-36",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 719.24407999999994, 79.272514000000001, 181.0, 21.0 ],
					"text" : "- Put it together like this..."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 29.933285000000001,
					"id" : "obj-37",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 682.0, 74.466826999999995, 33.639809, 40.0 ],
					"text" : "4"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-32",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 415.244079999999997, 497.272514000000001, 34.0, 22.0 ],
					"text" : "pack"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-33",
					"maxclass" : "newobj",
					"numinlets" : 3,
					"numoutlets" : 2,
					"outlettype" : [ "float", "float" ],
					"patching_rect" : [ 415.244079999999997, 455.272514000000001, 101.0, 22.0 ],
					"text" : "makenote 100 70"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-31",
					"linecount" : 3,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 410.244079999999997, 393.272514000000001, 253.0, 50.0 ],
					"text" : "- To combine the two outputs of makenote into such a list, use the pack object in place of the noteout object."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-30",
					"linecount" : 3,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 410.244079999999997, 341.272514000000001, 251.0, 50.0 ],
					"text" : "- To get notes into Auzzie synthesizers, you give them a list of two numbers: MIDI pitch and velocity."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 29.933285000000001,
					"id" : "obj-29",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 373.0, 335.466826999999967, 33.639809, 40.0 ],
					"text" : "3"
				}

			}
, 			{
				"box" : 				{
					"annotation" : "## A polyphonic synthesizer ##",
					"bgmode" : 1,
					"border" : 0,
					"clickthrough" : 0,
					"enablehscroll" : 0,
					"enablevscroll" : 0,
					"id" : "obj-28",
					"lockeddragscroll" : 0,
					"lockedsize" : 0,
					"maxclass" : "bpatcher",
					"name" : "az.wavr~.maxpat",
					"numinlets" : 11,
					"numoutlets" : 1,
					"offset" : [ 0.0, 0.0 ],
					"outlettype" : [ "multichannelsignal" ],
					"patching_rect" : [ 722.24407999999994, 313.272514000000001, 348.0, 142.0 ],
					"prototypename" : "pixl",
					"varname" : "wavr",
					"viewvisibility" : 1
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-19",
					"maxclass" : "newobj",
					"numinlets" : 3,
					"numoutlets" : 0,
					"patching_rect" : [ 415.244079999999997, 292.022461000000021, 49.0, 22.0 ],
					"text" : "noteout"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-18",
					"maxclass" : "newobj",
					"numinlets" : 3,
					"numoutlets" : 2,
					"outlettype" : [ "float", "float" ],
					"patching_rect" : [ 415.244079999999997, 255.022461000000021, 101.0, 22.0 ],
					"text" : "makenote 100 70"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-16",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 415.244079999999997, 223.022461000000021, 32.0, 22.0 ],
					"text" : "+ 60"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-15",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 415.244079999999997, 190.12197900000001, 66.0, 22.0 ],
					"text" : "random 24"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-14",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 415.244079999999997, 157.294975000000022, 63.0, 22.0 ],
					"text" : "metro 150"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-13",
					"maxclass" : "toggle",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 415.244079999999997, 122.022461000000021, 24.0, 24.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-11",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 410.244079999999997, 79.272514000000001, 251.0, 36.0 ],
					"text" : "- Below is a simple generative patch like we created in Exercise 1."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-7",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 64.244079999999997, 433.445510000000013, 287.265386999999976, 36.0 ],
					"text" : "- To get audio from your Auzzie patch to the outside world, use the OUT (or OUT-H) module."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-6",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 64.244079999999997, 256.022461000000021, 292.265386999999976, 36.0 ],
					"text" : "- Use the Snippets menu, invoked by the paperclip icon at left, to access Auzzie modules."
				}

			}
, 			{
				"box" : 				{
					"fontface" : 1,
					"fontname" : "Arial",
					"fontsize" : 14.0,
					"id" : "obj-5",
					"linecount" : 5,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 88.509466999999972, 300.966826999999967, 242.0, 85.0 ],
					"text" : "• With the patcher unlocked, click on the paperclip, then on View by Name at the top. Click on Auzzie, and you’ll see a list of upper-case Auzzie modules.",
					"textcolor" : [ 0.240323, 0.247547, 0.573641, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontsize" : 72.0,
					"id" : "obj-34",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 1.8199045, 280.022461000000021, 82.0, 87.0 ],
					"text" : "←",
					"textcolor" : [ 0.744832, 0.0, 0.03206, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-26",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 64.244079999999997, 473.272514000000001, 274.0, 36.0 ],
					"text" : "- Click the speaker icon in the OUT module to turn audio on or off."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 29.933285000000001,
					"id" : "obj-4",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 373.0, 74.466826999999995, 33.639809, 40.0 ],
					"text" : "2"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 29.933285000000001,
					"id" : "obj-23",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 27.0, 25.0, 720.0, 40.0 ],
					"text" : "Max Tips for Exercise 2 - Part 1: Basic Auzzie Synth"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 29.933285000000001,
					"id" : "obj-24",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 27.0, 74.466826999999995, 33.639809, 40.0 ],
					"text" : "1"
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"destination" : [ "obj-14", 0 ],
					"source" : [ "obj-13", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-15", 0 ],
					"source" : [ "obj-14", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-16", 0 ],
					"source" : [ "obj-15", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-18", 0 ],
					"source" : [ "obj-16", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-19", 1 ],
					"source" : [ "obj-18", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-19", 0 ],
					"source" : [ "obj-18", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-9", 0 ],
					"source" : [ "obj-28", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-32", 1 ],
					"source" : [ "obj-33", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-32", 0 ],
					"source" : [ "obj-33", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-28", 0 ],
					"source" : [ "obj-38", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-38", 1 ],
					"source" : [ "obj-39", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-38", 0 ],
					"source" : [ "obj-39", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-39", 0 ],
					"source" : [ "obj-40", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-40", 0 ],
					"source" : [ "obj-41", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-41", 0 ],
					"source" : [ "obj-42", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-42", 0 ],
					"source" : [ "obj-43", 0 ]
				}

			}
 ],
		"parameters" : 		{
			"obj-28::obj-102" : [ "pictctrl[8]", "pictctrl[3]", 0 ],
			"obj-28::obj-105" : [ "pictctrl[9]", "pictctrl[3]", 0 ],
			"obj-28::obj-12" : [ "resetpan", "resetpan", 0 ],
			"obj-28::obj-13" : [ "wave", "wave", 0 ],
			"obj-28::obj-16" : [ "release", "R", 0 ],
			"obj-28::obj-20" : [ "vib depth", "depth", 0 ],
			"obj-28::obj-21" : [ "duty cycle", "duty", 0 ],
			"obj-28::obj-24" : [ "portamento", "port", 0 ],
			"obj-28::obj-265" : [ "pictctrl[40]", "pictctrl[3]", 0 ],
			"obj-28::obj-269" : [ "pictctrl[39]", "pictctrl[3]", 0 ],
			"obj-28::obj-276" : [ "FreqMode[4]", "FreqMode", 0 ],
			"obj-28::obj-278" : [ "textbutton[3]", "textbutton[1]", 0 ],
			"obj-28::obj-32" : [ "resetbend", "resetbend", 0 ],
			"obj-28::obj-33" : [ "pictctrl[1]", "pictctrl[3]", 0 ],
			"obj-28::obj-5" : [ "attack", "A", 0 ],
			"obj-28::obj-50" : [ "polyphony-menu", "polyphony-menu", 0 ],
			"obj-28::obj-51" : [ "polyphony-val", "polyphony-val", 0 ],
			"obj-28::obj-56" : [ "vib rate", "rate", 0 ],
			"obj-28::obj-6" : [ "decay", "D", 0 ],
			"obj-28::obj-60" : [ "bend", "bend", 0 ],
			"obj-28::obj-61" : [ "pan", "pan", 0 ],
			"obj-28::obj-63" : [ "pictctrl[2]", "pictctrl[3]", 0 ],
			"obj-28::obj-68" : [ "pictctrl[3]", "pictctrl[3]", 0 ],
			"obj-28::obj-79" : [ "pictctrl[4]", "pictctrl[3]", 0 ],
			"obj-28::obj-8" : [ "sustain", "S", 0 ],
			"obj-28::obj-88" : [ "pictctrl[5]", "pictctrl[3]", 0 ],
			"obj-28::obj-9" : [ "LFOwave", "LFOwave", 0 ],
			"obj-28::obj-96" : [ "pictctrl[6]", "pictctrl[3]", 0 ],
			"obj-28::obj-99" : [ "pictctrl[7]", "pictctrl[3]", 0 ],
			"obj-9::obj-102" : [ "pictctrl[284]", "pictctrl[1]", 0 ],
			"obj-9::obj-16" : [ "output", "output", 0 ],
			"obj-9::obj-86" : [ "textbutton[1]", "textbutton", 0 ],
			"parameterbanks" : 			{
				"0" : 				{
					"index" : 0,
					"name" : "",
					"parameters" : [ "-", "-", "-", "-", "-", "-", "-", "-" ]
				}

			}
,
			"inherited_shortname" : 1
		}
,
		"autosave" : 0
	}

}
