{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 8,
			"minor" : 5,
			"revision" : 7,
			"architecture" : "x64",
			"modernui" : 1
		}
,
		"classnamespace" : "box",
		"rect" : [ 948.0, 542.0, 972.0, 438.0 ],
		"bglocked" : 0,
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 1,
		"gridsize" : [ 16.0, 16.0 ],
		"gridsnaponopen" : 1,
		"objectsnaponopen" : 1,
		"statusbarvisible" : 2,
		"toolbarvisible" : 1,
		"lefttoolbarpinned" : 0,
		"toptoolbarpinned" : 0,
		"righttoolbarpinned" : 0,
		"bottomtoolbarpinned" : 0,
		"toolbars_unpinned_last_save" : 0,
		"tallnewobj" : 0,
		"boxanimatetime" : 200,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"description" : "",
		"digest" : "",
		"tags" : "",
		"style" : "",
		"subpatcher_template" : "",
		"assistshowspatchername" : 0,
		"boxes" : [ 			{
				"box" : 				{
					"fontface" : 1,
					"fontname" : "Arial",
					"fontsize" : 14.0,
					"id" : "obj-39",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 748.604270999999926, 157.0, 146.0, 38.0 ],
					"text" : "• Connect this from the delay object...",
					"textcolor" : [ 0.240323, 0.247547, 0.573641, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-17",
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 802.604270999999926, 198.0, 92.0, 22.0 ],
					"text" : "read myfile.wav"
				}

			}
, 			{
				"box" : 				{
					"annotation" : "## A one-shot sound file player ##",
					"bgmode" : 1,
					"border" : 0,
					"clickthrough" : 0,
					"enablehscroll" : 0,
					"enablevscroll" : 0,
					"id" : "obj-10",
					"lockeddragscroll" : 0,
					"lockedsize" : 0,
					"maxclass" : "bpatcher",
					"name" : "az.1shotr~.maxpat",
					"numinlets" : 10,
					"numoutlets" : 1,
					"offset" : [ 0.0, 0.0 ],
					"outlettype" : [ "multichannelsignal" ],
					"patching_rect" : [ 714.604270999999926, 239.820549000000028, 180.0, 172.0 ],
					"prototypename" : "pixl",
					"varname" : "1shotr",
					"viewvisibility" : 1
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-6",
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 506.24407999999994, 267.141098000000056, 29.5, 22.0 ],
					"text" : "0.3"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-5",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 422.910746666666569, 223.0, 67.0, 22.0 ],
					"text" : "delay 2000"
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-2",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 422.910746666666569, 189.0, 58.0, 22.0 ],
					"text" : "loadbang"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-1",
					"linecount" : 6,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 64.244079999999997, 258.320549000000028, 273.0, 94.0 ],
					"text" : "- There are two sophisticated ways of saving the state of Auzzie modules: the pattr storage system and Snapshots. However, these turn out to have limited utility when putting pieces together, so we will learn a low-tech approach."
				}

			}
, 			{
				"box" : 				{
					"fontsize" : 10.0,
					"id" : "obj-14",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 870.0, 418.0, 100.0, 18.0 ],
					"text" : "© 2020 John Gibson",
					"textcolor" : [ 0.250980392156863, 0.25, 0.25, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"bubble" : 1,
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-16",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 496.24407999999994, 222.0, 170.0, 25.0 ],
					"text" : "delay bang by 2 seconds",
					"textjustification" : 1
				}

			}
, 			{
				"box" : 				{
					"id" : "obj-15",
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 422.910746666666569, 267.141098000000056, 61.0, 22.0 ],
					"text" : "exact 567"
				}

			}
, 			{
				"box" : 				{
					"annotation" : "## An audio delay line ##",
					"bgmode" : 1,
					"border" : 0,
					"clickthrough" : 0,
					"enablehscroll" : 0,
					"enablevscroll" : 0,
					"id" : "obj-3",
					"lockeddragscroll" : 0,
					"lockedsize" : 0,
					"maxclass" : "bpatcher",
					"name" : "az.1delayr~.maxpat",
					"numinlets" : 4,
					"numoutlets" : 1,
					"offset" : [ 0.0, 0.0 ],
					"outlettype" : [ "multichannelsignal" ],
					"patching_rect" : [ 381.24407999999994, 300.820549000000028, 144.0, 111.0 ],
					"prototypename" : "pixl",
					"varname" : "1delayr[1]",
					"viewvisibility" : 1
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-37",
					"linecount" : 4,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 714.604270999999926, 79.272514000000001, 232.0, 65.0 ],
					"text" : "- For Auzzie modules that use sound files, you can send the name of the file to the module, as long as the file is in the same folder as your patch file."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 29.933285000000001,
					"id" : "obj-38",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 678.360190999999986, 74.466826999999995, 33.639809, 40.0 ],
					"text" : "3"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-12",
					"linecount" : 7,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 64.244079999999997, 147.320549000000028, 275.0, 108.0 ],
					"text" : "- We learned about the preset box in the Initialization and Presets Max Tips file. Unfortunately, the preset object cannot save the state of objects in a different patch window. Although Auzzie modules don't look like they are in another window, their contents are supplied by separate patch files."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-11",
					"linecount" : 6,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 381.24407999999994, 79.272514000000001, 285.0, 94.0 ],
					"text" : "- For every value you want to initialize in Auzzie, handle it as follows. The delay object delays the bang emitted by loadbang. This is necessary because some Auzzie modules take a while to set up, and before they are ready to go, they may ignore values sent to them."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 13.0,
					"id" : "obj-7",
					"linecount" : 4,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 64.244079999999997, 79.272514000000001, 266.265386999999976, 65.0 ],
					"text" : "- If you want an Auzzie module to be set up for you when you open a patch, you may need to initialize some of its values when you open the patch."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 29.933285000000001,
					"id" : "obj-4",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 344.0, 74.466826999999995, 33.639809, 40.0 ],
					"text" : "2"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 29.933285000000001,
					"id" : "obj-23",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 27.0, 25.0, 797.0, 40.0 ],
					"text" : "Max Tips for Exercise 2 - Part 4: Initializing Auzzie Modules"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 29.933285000000001,
					"id" : "obj-24",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 27.0, 74.466826999999995, 33.639809, 40.0 ],
					"text" : "1"
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"destination" : [ "obj-3", 1 ],
					"source" : [ "obj-15", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-10", 9 ],
					"source" : [ "obj-17", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-5", 0 ],
					"source" : [ "obj-2", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-15", 0 ],
					"order" : 1,
					"source" : [ "obj-5", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-6", 0 ],
					"order" : 0,
					"source" : [ "obj-5", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-3", 3 ],
					"source" : [ "obj-6", 0 ]
				}

			}
 ],
		"parameters" : 		{
			"obj-10::obj-102" : [ "pictctrl[284]", "pictctrl[1]", 0 ],
			"obj-10::obj-151" : [ "textedit", "textedit", 0 ],
			"obj-10::obj-179" : [ "reset-transposition", "reset-transposition", 0 ],
			"obj-10::obj-27" : [ "pictctrl[10]", "pictctrl[1]", 0 ],
			"obj-10::obj-30" : [ "transpose", "transp", 0 ],
			"obj-10::obj-34" : [ "reset-pan", "reset-pan", 0 ],
			"obj-10::obj-38" : [ "gain", "gain", 0 ],
			"obj-10::obj-41" : [ "pictctrl[11]", "pictctrl[1]", 0 ],
			"obj-10::obj-47" : [ "pictctrl[12]", "pictctrl[1]", 0 ],
			"obj-10::obj-52" : [ "pictctrl[13]", "pictctrl[1]", 0 ],
			"obj-10::obj-57" : [ "pictctrl[14]", "pictctrl[1]", 0 ],
			"obj-10::obj-60" : [ "pictctrl[6]", "pictctrl[1]", 0 ],
			"obj-10::obj-70" : [ "pan", "pan", 0 ],
			"obj-10::obj-72" : [ "start", "start", 0 ],
			"obj-10::obj-73" : [ "length", "length", 0 ],
			"obj-10::obj-74" : [ "attack", "attack", 0 ],
			"obj-10::obj-77" : [ "damp", "damp", 0 ],
			"obj-10::obj-86" : [ "reverse", "reverse", 0 ],
			"obj-10::obj-87" : [ "pictctrl[8]", "pictctrl[1]", 0 ],
			"obj-10::obj-9" : [ "pictctrl[9]", "pictctrl[1]", 0 ],
			"obj-10::obj-94" : [ "pictctrl[280]", "pictctrl[1]", 0 ],
			"obj-3::obj-10" : [ "feedback[1]", "feedback", 0 ],
			"obj-3::obj-20" : [ "pictctrl[3]", "pictctrl[1]", 0 ],
			"obj-3::obj-24" : [ "wetdry[1]", "wetdry", 0 ],
			"obj-3::obj-48" : [ "pictctrl[4]", "pictctrl[2]", 0 ],
			"obj-3::obj-53" : [ "pictctrl[5]", "pictctrl", 0 ],
			"obj-3::obj-7" : [ "onoff[1]", "onoff", 0 ],
			"obj-3::obj-9" : [ "delay[1]", "delay", 0 ],
			"parameterbanks" : 			{
				"0" : 				{
					"index" : 0,
					"name" : "",
					"parameters" : [ "-", "-", "-", "-", "-", "-", "-", "-" ]
				}

			}
,
			"parameter_overrides" : 			{
				"obj-10::obj-60" : 				{
					"parameter_longname" : "pictctrl[6]"
				}
,
				"obj-3::obj-10" : 				{
					"parameter_longname" : "feedback[1]"
				}
,
				"obj-3::obj-20" : 				{
					"parameter_longname" : "pictctrl[3]"
				}
,
				"obj-3::obj-24" : 				{
					"parameter_longname" : "wetdry[1]"
				}
,
				"obj-3::obj-48" : 				{
					"parameter_longname" : "pictctrl[4]"
				}
,
				"obj-3::obj-53" : 				{
					"parameter_longname" : "pictctrl[5]"
				}
,
				"obj-3::obj-9" : 				{
					"parameter_longname" : "delay[1]"
				}

			}
,
			"inherited_shortname" : 1
		}
,
		"dependency_cache" : [ 			{
				"name" : "M4L.pan1~.maxpat",
				"bootpath" : "C74:/patchers/m4l/Tools resources",
				"type" : "JSON",
				"implicit" : 1
			}
, 			{
				"name" : "M4L.vdelay~.maxpat",
				"bootpath" : "C74:/patchers/m4l/Tools resources",
				"type" : "JSON",
				"implicit" : 1
			}
, 			{
				"name" : "az.1delayr~.maxpat",
				"bootpath" : "~/Documents/Max 8/Packages/Auzzie/patchers",
				"patcherrelativepath" : "../../../../../../Documents/Max 8/Packages/Auzzie/patchers",
				"type" : "JSON",
				"implicit" : 1
			}
, 			{
				"name" : "az.1shotr~.maxpat",
				"bootpath" : "~/Documents/Max 8/Packages/Auzzie/patchers",
				"patcherrelativepath" : "../../../../../../Documents/Max 8/Packages/Auzzie/patchers",
				"type" : "JSON",
				"implicit" : 1
			}
, 			{
				"name" : "az.audio-left-handler.maxpat",
				"bootpath" : "~/Documents/Max 8/Packages/Auzzie/patchers/utils",
				"patcherrelativepath" : "../../../../../../Documents/Max 8/Packages/Auzzie/patchers/utils",
				"type" : "JSON",
				"implicit" : 1
			}
, 			{
				"name" : "az.data-handler.maxpat",
				"bootpath" : "~/Documents/Max 8/Packages/Auzzie/patchers/utils",
				"patcherrelativepath" : "../../../../../../Documents/Max 8/Packages/Auzzie/patchers/utils",
				"type" : "JSON",
				"implicit" : 1
			}
, 			{
				"name" : "az.sub-1shotr-voice~.maxpat",
				"bootpath" : "~/Documents/Max 8/Packages/Auzzie/patchers/poly",
				"patcherrelativepath" : "../../../../../../Documents/Max 8/Packages/Auzzie/patchers/poly",
				"type" : "JSON",
				"implicit" : 1
			}
, 			{
				"name" : "az.sub-change-str.maxpat",
				"bootpath" : "~/Documents/Max 8/Packages/Auzzie/patchers/sub",
				"patcherrelativepath" : "../../../../../../Documents/Max 8/Packages/Auzzie/patchers/sub",
				"type" : "JSON",
				"implicit" : 1
			}
, 			{
				"name" : "az.sub-delay-simple-nogliss~.maxpat",
				"bootpath" : "~/Documents/Max 8/Packages/Auzzie/patchers/sub",
				"patcherrelativepath" : "../../../../../../Documents/Max 8/Packages/Auzzie/patchers/sub",
				"type" : "JSON",
				"implicit" : 1
			}
, 			{
				"name" : "az.sub-pan2~.maxpat",
				"bootpath" : "~/Documents/Max 8/Packages/Auzzie/patchers/sub",
				"patcherrelativepath" : "../../../../../../Documents/Max 8/Packages/Auzzie/patchers/sub",
				"type" : "JSON",
				"implicit" : 1
			}
, 			{
				"name" : "az.sub-xfade~.maxpat",
				"bootpath" : "~/Documents/Max 8/Packages/Auzzie/patchers/sub",
				"patcherrelativepath" : "../../../../../../Documents/Max 8/Packages/Auzzie/patchers/sub",
				"type" : "JSON",
				"implicit" : 1
			}
 ],
		"autosave" : 0
	}

}
